#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: nonce
version: 1.0.7
id: nonce-1.0.7-7B7bYAm85zi5LO9IR43u9w
key: nonce-1.0.7-7B7bYAm85zi5LO9IR43u9w
license: BSD-3-Clause
copyright: (c) 2014 Prowdsponsor
maintainer: Prowdsponsor <opensource@prowdsponsor.com>
author: Felipe Lessa <felipe.lessa@prowdsponsor.com>
homepage: https://github.com/prowdsponsor/nonce
synopsis: Generate cryptographic nonces.
description:
    According to the Wikipedia, a nonce is an arbitrary number used
    only once in a cryptographic communication.  This package
    contain helper functions for generating nonces.
    .
    There are many kinds of nonces used in different situations.
    It'\''s not guaranteed that by using the nonces from this package
    you won'\''t have any security issues.  Please make sure that the
    nonces generated via this package are usable on your design.
category: Cryptography
abi: e940c2e3f546b5278b077f73eddcd59a
exposed: True
exposed-modules:
    Crypto.Nonce
import-dirs: /usr/lib/ghc-8.4.3/site-local/nonce-1.0.7
library-dirs: /usr/lib/ghc-8.4.3/site-local/nonce-1.0.7
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.4.3/nonce-1.0.7
hs-libraries: HSnonce-1.0.7-7B7bYAm85zi5LO9IR43u9w
depends:
    base-4.11.1.0 base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    bytestring-0.10.8.2 text-1.2.3.0 transformers-0.5.5.0
    entropy-0.4.1.1-FmBdJKRG6hQDsYzBhT7c6v
    unliftio-0.2.7.0-4UuQGv9Og6OFLIewArJzau
    unliftio-core-0.1.1.0-LMRC2BJekXQHTjQ89kypYp
abi-depends: base-4.11.1.0=a3fb1645bafaa89172454c2eea8dfdc9
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=65adc4f5f54a1c07291b4ebc49756c05
             bytestring-0.10.8.2=9faa89cf4769cbd12751f8644ca9e618
             text-1.2.3.0=9752fd647a108be49a4cb0c2a4456f2b
             transformers-0.5.5.0=4f41484af13f560f1d83ed79e1be4572
             entropy-0.4.1.1-FmBdJKRG6hQDsYzBhT7c6v=bbba9b47b66235cbe49005ce0f2ca1a5
             unliftio-0.2.7.0-4UuQGv9Og6OFLIewArJzau=cde2869291f5aca51e8f7741a788332b
             unliftio-core-0.1.1.0-LMRC2BJekXQHTjQ89kypYp=1c7a6d4dd36bdfc42b4932ebc332e3b3
haddock-interfaces: /usr/share/doc/haskell-nonce/html/nonce.haddock
haddock-html: /usr/share/doc/haskell-nonce/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

